package cmm.service;

import java.util.Date;

import cmm.util.CmmUtil;
import cmm.util.CmmVO;

@SuppressWarnings("serial")
public class CmmActivityHstVO extends CmmVO {
	
	private int Id;
	private String jsessionId;
	private int contentId;
	private String contentType;
	private String linkUrl;
	private String mainImg = "";
	private String title = "";
	private String summary = "";
	private String theme = "";
	private String series = "";
	private String firstTopic = "";
	private String secondTopic = "";
	private String firstClass = "";
	private String secondClass = "";
	private String firstCategory = "";
	private String secondCategory = "";
	private String sidoName = "";
	private String sigunguName = "";
	private String couName = "";
	private String groupName = "";
	private String tags = "";
	private Date createDt;
	private String useAt = "";
	private String uaType = "";
	private String copyright = "";
	private String zipCode = "";
	private String tel = "";
	public int getId() {
		return Id;
	}
	public void setId(int id) {
		Id = id;
	}
	public String getJsessionId() {
		return jsessionId;
	}
	public void setJsessionId(String jsessionId) {
		this.jsessionId = jsessionId;
	}
	public int getContentId() {
		return contentId;
	}
	public void setContentId(int contentId) {
		this.contentId = contentId;
	}
	public String getContentType() {
		return contentType;
	}
	public void setContentType(String contentType) {
		this.contentType = contentType;
	}
	public String getLinkUrl() {
		return linkUrl;
	}
	public void setLinkUrl(String linkUrl) {
		this.linkUrl = linkUrl;
	}
	public String getMainImg() {
		return mainImg;
	}
	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getTheme() {
		return theme;
	}
	public void setTheme(String theme) {
		this.theme = theme;
	}
	public String getSeries() {
		return series;
	}
	public void setSeries(String series) {
		this.series = series;
	}
	public String getFirstTopic() {
		return firstTopic;
	}
	public void setFirstTopic(String firstTopic) {
		this.firstTopic = firstTopic;
	}
	public String getSecondTopic() {
		return secondTopic;
	}
	public void setSecondTopic(String secondTopic) {
		this.secondTopic = secondTopic;
	}
	public String getFirstClass() {
		return firstClass;
	}
	public void setFirstClass(String firstClass) {
		this.firstClass = firstClass;
	}
	public String getSecondClass() {
		return secondClass;
	}
	public void setSecondClass(String secondClass) {
		this.secondClass = secondClass;
	}	
	public String getFirstCategory() {
		return firstCategory;
	}
	public void setFirstCategory(String firstCategory) {
		this.firstCategory = firstCategory;
	}
	public String getSecondCategory() {
		return secondCategory;
	}
	public void setSecondCategory(String secondCategory) {
		this.secondCategory = secondCategory;
	}
	public String getSidoName() {
		return sidoName;
	}
	public void setSidoName(String sidoName) {
		this.sidoName = sidoName;
	}
	public String getSigunguName() {
		return sigunguName;
	}
	public void setSigunguName(String sigunguName) {
		this.sigunguName = sigunguName;
	}
	public String getCouName() {
		return couName;
	}
	public void setCouName(String couName) {
		this.couName = couName;
	}
	public String getGroupName() {
		return groupName;
	}
	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}
	public String getTags() {
		return tags;
	}
	public void setTags(String tags) {
		this.tags = tags;
	}
	public Date getCreateDt() {
		return createDt;
	}
	public void setCreateDt(Date createDt) {
		this.createDt = createDt;
	}
	public String getUseAt() {
		return useAt;
	}
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}
	public String getUaType() {
		return uaType;
	}
	public void setUaType(String uaType) {
		this.uaType = uaType;
	}
	public String getCopyright() {
		return copyright;
	}
	public void setCopyright(String copyright) {
		this.copyright = copyright;
	}
	public String getZipCode() {
		return zipCode;
	}
	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public String toString() {
    	return CmmUtil.reflectionToString(this);
    }	
}
